Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F147271186
D8052.id20780.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
684 B
Referenced Files
None
Subscribers
None
D8052.id20780.diff
View Options
Index: usr.sbin/portsnap/portsnap/portsnap.sh
===================================================================
--- usr.sbin/portsnap/portsnap/portsnap.sh
+++ usr.sbin/portsnap/portsnap/portsnap.sh
@@ -691,6 +691,13 @@
fetch_index_sanity || return 1
# Verify the snapshot contents
cut -f 2 -d '|' INDEX.new | fetch_snapshot_verify || return 1
+ cut -f 2 -d '|' tINDEX.new INDEX.new | sort -u > files.expected
+ find snap -mindepth 1 | sed -E 's^snap/(.*)\.gz^\1^' | sort > files.snap
+ if ! cmp -s files.expected files.snap; then
+ echo "unexpected files in snapshot."
+ return 1
+ fi
+ rm files.expected files.snap
echo "done."
# Move files into their proper locations
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Tue, Mar 10, 2:31 PM (4 h, 47 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29495692
Default Alt Text
D8052.id20780.diff (684 B)
Attached To
Mode
D8052: portsnap: only move expected snapshot contents from snap/ to files/
Attached
Detach File
Event Timeline
Log In to Comment